#include "memsize.h"
:userdoc.
:title.'Ayuda de Recursos del Sistema OS/2'
:body.

:h1 res=ID_MAIN.Introduccin
:i1.Introduccin
:artwork name='memsize.bmp' align=center.
:p.
Este programa muestra por pantalla diferentes informaciones sobre los
recursos del sistema, y los actualiza una vez por segundo, si es que el
procesador tiene tiempo para hacerlo. Las informaciones que se muestran
son:
:p.
:hp2.Fecha/Hora:ehp2. - La fecha y hora actual, en el formado normal
de cada pas, dependiendo de como est configurada la lnia &apos.COUNTRY=&apos. 
del fichero CONFIG.SYS
:p.
:hp2.Tiempo transcurrido:ehp2. - El tiempo que ha pasado desde la ltima
vez que se arranc el ordenador.
:p.
:hp2.Memoria fsica libre:ehp2. -
La cantidad de memoria libre del sistema, de acuerdo con el valor
devuelto por la funcin :hp1.DosMemAvail:ehp1.. 
:note.Esta funcin formaba parte del sistema antigua de 16 bits, y slo
reporte la memoria fsica bajo 16Mb, y fue modificada justo antes
que fue hecho pblico el OS/2 2.0 para que nunca reportara menos
que 512K.
#ifdef USE_OS20MEMU
:Note.Si est instalado el programa :hpt.OS20MEMU:ehpt.:hdref res=60001. 
en su sistema, la cantidad de memoria libre ser correcta, pero cuesta 
mas esfuerzo de parte del sistema para conseguir la informacin.
#endif
:p.
:hp2.Memoria virtual libre:ehp2. -
La cantidad de memoria virtual libre segn la funcin
:hp1.DosQuerySysInfo:ehp1..  Esta es la cantidad de memoria fsica
libre, mas la cantidad de espacio libre dentro del fichero de
intercambio (swap), mas la cantidad de espacio por lo cual el fichero
de intercambio podra crecer todava, menos la cantidad que se debe
reservar libre en la unidad donde se encuentra el fichero de intercambio.
:p.
:hp2.Tamao del fichero de intercambio:ehp2. - El tamao que ocupa en el
disco el fichero de memoria virtual de intercambio (swap), SWAPPER.DAT.
Para localizar este fichero, busque en el fichero CONFIG.SYS la lnea
que empieza con SWAPPATH, dnde est indicado el nombre completo
(incluido el directorio) del fichero de intercambio, as como el espacio
que se debe reservar en la unidad dnde se encuentra este fichero.
:p.
:hp2.Espacio disponible para el fichero de intercambio:ehp2. - La
cantidad total de espacio en la unidad de disco dnde se encuentra el
fichero de intercambio, menos la cantidad de espacio que debe
reservarse. Este valor es el tamao mximo que puede utilizar el fichero
de intercambio.
:p.
:hp2.Espacio sin utilizar del fichero de intercambio:ehp2. - La
cantidad de espacio dentro del fichero de intercambio que est actualmente
sin usar.  Cuando sta baja a cero, el fichero de intercambio tiene
que ser aumentado de tamao, normalmente por un megabyte a la vez.
:p.
:hp2.Tamao del fichero del spooler:ehp2. - La cantidad total de disco
consumida por los ficheros enviados al spooler de la impresora.
:p.
:hp2.Porcentaje de utilizacin de la CPU:ehp2. - El porcentaje
aproximado de utilizacin de la CPU. El valor que se muestra es el
porcentaje correspondiente al promedio de utilizacin del ltimo
segundo.
:Note.Esta funcin y el PULSE que se incluye con el OS/2 2.0, no son muy
compatibles.
:hpt.Por qu?:ehpt.:hdref res=60002.
:Note.Si est instalado el programa :hpt.HRTIMER.SYS:ehpt.:hdref res=60000., 
este nmero ser mas correcto.
:hpt.Por qu?:ehpt.:hdref res=60003.
:p.
:hp2.Nmero de tareas activas:ehp2. -
El nmero de elementos en la lista de ventanas, que es la lista que se
visualiza cuando pulsamos CTRL-ESC.
:note.No todas las tareas del sistema se muestran en la Lista de
Ventanas, ya que algunas de estas tareas no son visibles.
:p.
:hp2.Nmero de procesos:ehp2. - El nmero de procesos actualmente
cargados al sistema.
:p.
:hp2.Nmero de hilos:ehp2. - El nmero de hilos de procesamiento
en el sistema.  Hay por lo menos un hilo por cada proceso.
:p.
:hp2.Espacio libre total:ehp2. - La suma del espacio libre en todas las
unidades locales de disco (no removibles).
:p.
:hp2.Espacio libre en la unidad X:ehp2. - La cantidad de espacio libre
en el disco X.
:p.
Esta ayuda es sensible al contexto, como ya se habr dado cuenta. El
acceso a las siguientes funciones se realiza a travs del men de
sistema de la ventana:
:sl compact.
:li.:hpt.Grabar configuracin:ehpt.:hdref res=IDM_SAVE_APPLICATION.
:li.:hpt.Restaurar los valores por defecto:ehpt.:hdref res=IDM_RESET_DEFAULTS.
:li.:hpt.Esconder los controles:ehpt.:hdref res=IDM_HIDE_CONTROLS.
:li.:hpt.Configuracin...:ehpt.:hdref res=IDM_CONFIGURE.
:li.:hpt.Reset Load Meter:ehpt.:hdref res=IDM_RESETLOAD.
:li.:hpt.Copiar:ehpt.:hdref res=IDM_COPY.
:li.:hpt.Informacin del producto:ehpt.:hdref res=IDM_ABOUT.
:li.:hpt.Cerrar:ehpt.:hdref res=IDM_EXIT.
:esl.:p.
Aparte de estas funciones, el programa accepta ordenes de los
controladores de fuentes y de la paleta de colores del OS/2 2.0, 
y es una servidora 'DDE' para todos los elementos actualmente
mostrados.  El nombre de aplicacin es MEMSIZE, y los nombres de
elementos son los mismos nombres de elementos por defecto
(como 'Memoria fsica libre').

:h1 res=IDM_SAVE_APPLICATION.Grabar la configuracin (Opcin del men)
:i1.Grabar la configuracin (Opcin del men)
Cuando se selecciona esta opcin del men, el programa guarda la posicin
actual en la pantalla as como el estado de los controles. La prxima
vez que se ejecute el programa, lo har en la misma posicin y con los
controles ocultos (o visibles), de acuerdo con la informacin grabada.
:p.
La tecla aceleradora asignada a esta funcin es F2.

:h1 res=IDM_RESET_DEFAULTS.Restaurar los valores por defecto (Opcin del men)
:i1.Restaurar los valores por defecto (Opcin del men)
Seleccionado esta opcin del men, se restaura el tipo de letra y los
atributos de color a sus valores por defecto.

:h1 res=IDM_HIDE_CONTROLS.Esconder los controles (Opcin del men)
:i1.Esconder los controles (Opcin del men)
Cuando esta opcin del men est seleccionada, obliga a los controles de
la ventana del programa (el men de sistema, la barra con el ttulo y el
botn de minimizacin) esten ocultos. Es posible variar el valor de esta
funcin pulsando dos veces el botn del mouse dentro de la ventana.
.br
La tecla aceleradora asignada a esta funcin es ALT+H.

:h1 res=IDM_CONFIGURE.Configurar (Opcin del men)
:i1.Configurar (Opcin del men)
Cuando se selecciona esta opcin del men, aparecer la pantalla de
configuracin del programa.
Para mas informacin, vase :hpt.Configurar (Caja de dilogo):ehpt.:hdref res=IDD_CONFIGURE..
:note.La tecla aceleradora asignada a esta funcin es Alt+C.

:h2 res=IDD_CONFIGURE.Configurar (Pantalla)
Esta pantalla nos permite cambiar todos los aspectos configurables
de la operacin del programa. Para salir sin efectuar ningn cambio,
se debe pulsar la tecla ESCAPE o bien hacer un click en el botn Anular.
Para grabar los cambios realizados, pulsar la tecla ENTER o bien
hacer un click en el botn OK.
.br
Los elementos configurables son los siguientes:
:p.
:hp2.Elementos a mostrar:ehp2.
Podemos seleccionar varios o todos los elementos que debern
monitorizarse. Slo deberemos pulsar en un elemento para
seleccionarlo, o bien hacer otro click para desmarcarlo. Aquellos
elementos marcados son los que se visualizarn.
Para cambiar el texto defecto de un elemento, o para restaurar el texto
por defecto, hay que hacer un doble-click en el nombre del elemento.
Este elemento ser seleccionado y un dilogo mostrado del cual se
puede cambiar el texto del elemento.
:p.
:hp2.Mostrar 'K'ilobytes:ehp2.
Este grupo de botones 'radio' permite que Ud. escoge si tamaos
grandes sern mostrados en kilobytes siempre, nunca, o solo cuando
sus valores exceden 512K.
Lo normal es mostrar todo tamao mas grande que 512K en kilobytes.
Hay que tomar en cuenta que un kilobyte en realidad es 1024 bytes, no mil.
:p.
:hp2.Prioridad de monitorizacin:ehp2.
Esta opcin nos permitir establecer el valor de prioridad del
thread de monitorizacin, dentro de la categoria de tiempo-crtico.
Podemos variar la prioridad entre 0 y 31. La prioridad 31 es el
valor ms elevado del sistema, por debajo de las interrupciones
fsicas. La prioridad 0 es el valor ms bajo dentro de la categora
tiempo-crtico. Normalmente, este valor tiene que estar configurado
al mximo para obtener un valor ms preciso. No obstante, algunos
usuarios han informado que, ocasionalmente, pierden algunos
caracteres en las comunicaciones que se realizan mientras se est
ejecutando el programa. Es por esto que la prioridad es, ahora,
configurable.
:p.
:hp2.Intervalo de tiempo:ehp2.
Esta opcin nos permite establecer el intervalo de actualizacin de
la ventana. Puede variar entre 1.0 segundos hasta 30.0 segundos, en
intervalos de 1 dcima de segundo. El nmero se muestra en dcimas
de segundo.
:p.
:hp2.Esquina Fija:ehp2.
Este botn permite que el usuario fije la esquina de la ventana del
programa que quedar fija cuando el tamao de la ventana cambie.
La ventana puede cambiar de tamao cuando se aade o se remueva elementos
de la lista activa, y cuando el fuente se cambie por el contraladora
de fuentes.
:p.
:hp2.Esconder los controles:ehp2.
Cuando el programa no est en forma de icono, lo podremos ver con o
sin los elementos normales de las ventanas: barra de ttulo, men de
sistema y botones de maximizar y minimizar. Si escogemos de esconder
los controles, todava podemos cambiar la posicin de visualizacin
arrastrando la ventana con el mouse.
:p.
:hp2.Quedar en primer plano:ehp2.
Este botn activa la funcin de quedar siempre en primer plano.
Cuando este botn estan marcado, la ventana del programa quedar
siempre en el primer plano de visualizacin, de forma que siempre
ser visible.
:p.
:hp2.Animacin:ehp2.
Este botn activa la funcin de animacin al abrir y cerrar la
ventana. Cuando est seleccionada, la ventana del programa se abrir
de la misma forma que lo hacen las carpetas: con sonido y
movimiento. De la misma forma que con las carpetas, no habr ninguna
animacin si esta ha sido deshabilitada a nivel de sistema.
:p.
:hp2.Mostrar el nombre del sistema de ficheros:ehp2.
Si este botn est marcado se indicar, adems de indicar el espacio
libre el nombre del sistema de ficheros de la unidad. El uso de esta
opcin implica una ventana un poco ms ancha.
:p.
:hp2.Mostrar los nombres de los ficheros:ehp2.
Si este botn est marcado se indicar, adems de indicar el espacio
libre el nombre de la unidad en si.  El uso de esta opcin implica
una ventana un poco ms ancha.
:p.
:hp2.Mostrar segundos:ehp2.
Este botn causa que el reloj y el tiempo transcurrido incluyen
los segundos del minuto.

:h3 res=IDD_LABEL.Fijar texto de elemento (Dilogo)
Este dilogo muestra el texto actual para usarse para un elemento de mostrar
y permite que uno lo cambie.  Para cambiar el texto, hay que teclear el
texto nuevo por encima del anterior.  Para restaurar el texto a su
valor por defecto, hay que hacer un click en botn de 'Defecto'.

:h1 res=IDM_RESETLOAD.Reinicializar mediador de uso (Opcin del men)
:i1.Reinicializar mediador de uso (Opcin del men)
Esta opcin causa que se reinicie la mediadora del porcentaje de
utilizacin del sistema, causando que se olvide de la actividad
previa del CPU en sus clculos.

:h1 res=IDM_COPY.Copiar (Opcin del men)
:i1.Copiar (Opcin del men)
Esta opcin del men hace una copia de la ventana actual al clipboard
del sistema en dos formatos: texto y bitmap.  La versin en texto
muestra todos los elementos actualmente activos en una forma adecuada
para pegar en un documento con un editor de textos.  La versin en
bitmap muestra una copia exacta de la ventana actual, y se puede
usar con editores y visores de grficos.
:p.
La tecla aceleradora para esta funcin es Ctrl+Ins.

:h1 res=IDM_ABOUT.Informacin del producto (Opcin del men)
:i1.Informacin del producto (Opcin del men)
Esta opcin muestra, cuando se selecciona, informacin sobre el
programa.
Para mas informacin, vase :hpt.Informacin del programa (Caja de dilogo):ehpt.:hdref res=IDD_ABOUT..

:h2 res=IDD_ABOUT.Informacin del producto (Caja de dilogo)
Esta caja de dilogo muestra el nombre del programa, el icono y
informacin sobre los derechos de copia y el autor.

Para salir de esta caja de dilogo, se puede pulsar cualquiera de estas
teclas: ENTER, la barra de espacios o bien ESCAPE. Tambin se puede
salir seleccionando el botn OK con el mouse.

:h1 res=IDM_EXIT.Cerrar (Opcin del men)
:i1.Cerrar (Opcin del men)
Cuando se selecciona esta opcin del men se terminar el programa.

:h1 res=IDM_KEYS_HELP.Ayuda de las teclas
:i1.Ayuda de las teclas
Las siguientes teclas de funcin se han definido para el uso de este
programa:
:sl compact.
:li.F1 - Ayuda
:li.F2 - Grabar la configuracin
:li.F3 - Salir
:li.Alt+C - Configurar
:li.Alt+H - Esconder los controles
:li.Ctrl+Ins - Copiar
:esl.:p.

:h1 res=IDD_PROFILE_PATH.Indicar el directorio del fichero .INI. (Caja de dilogo)
:i1.Indicar el directorio del fichero .INI. (Caja de dilogo)
Esta caja de dilogo se muestra cuando el programa no puede
encontrar su fichero .INI y pregunta cual es el nombre de este
fichero y en qu directorio se encuentra.
:p.
Slo se acceptan nombres
vlidos de directorios ya existentes. Una vez que se haya escrito
el nombre, pulsando INTRO (RETURN) o bien haciendo un click en el
botn "OK" permite al programa continuar su secuencia de
inicializacin.
:p.
Si, por contra, se desea cortar la inicializacin
del programa, se debe pulsar la tecla ESC o bien hacer un click en
el botn de anulacin.

:h1 res=60000.HRTIMER - Driver reloj de alta resolucin
El driver de reloj de alta resolucin 'HRTIMER.SYS' provee para programas
aceso a un circuito reloj normalmente sin usar que se encuentra en los PCs 'IBM'.
Tiene una resolucin hasta 840 nanosegundos, 64 mil veces mejor que la
resolucin normal de 55 millisegundos.
:p.
Los nicos lugares que conozco actualmente que tienen este programa son
:hp4.CompuServe:ehp4., 
donde el program se puede encontrar en la biblioteca
:hp4.Device Driver Development:ehp4.
del foro
:hp4.OS/2 Developer's Forum I (OS2DF1):ehp4., 
bajo el nombre de 
:hp4.TIMER.ZIP:ehp4.,
y por los sitios de servicio ftp annimo
:hp4.ftp.cdrom.com:ehp4. 
y
:hp4.hobbes.nmsu.edu:ehp4..
El fichero se encuentra en el directorio
:hp4./pub/os2/dev16:ehp4.,
como
:hp4.hrtimer.zip:ehp4..
:p.El cdigo fuente para este driver fue conseguido de la revista 'IBM Personal
Systems Developer', edicin del otoo 1991.  Es 'freeware', pero la
registracin 'copyright' original pertenece a IBM.

#ifdef USE_OS20MEMU
:h1 res=60001.OS20MEMU - Mapa de uso de memoria de OS/2 
El programa de utilidad 'OS20MEMU', junto con su driver especial,
ficheros de pantalla y sus DLLes, permitan que uno se consiga una lista
completa del uso de memoria por cualquier programa en su sistema OS/2,
o por el sistema misma.
:p.
Los nicos sitios que conozco actualmente que tienen este programa son
los sitios de servicio ftp annimo
:hp4.ftp.cdrom.com:ehp4. 
y
:hp4.hobbes.nmsu.edu:ehp4..
El fichero se encuentra en el directorio
:hp4./pub/os2/textutil:ehp4., 
como
:hp4.20memu.zip:ehp4..
:p.OS20MEMU es 'freeware', escrito y registrado 'copyright' por IBM.
:note.Asegrese de usar la versin fechada noviembre de 1994 (o mas tarde),
como las versiones anteriores no funcionan bajo Warp.
#endif

:h1 res=60002.Qu es el conflicto con el PULSE?
Este programa, tanto como PULSE, CPULOAD, CPUMETER y programas semejantes,
todos atentan medir cun ocupado est la computadora por tratar de ver
cunto trabajo se puede acumplir a la prioridad mnima.
Supuestamente, si una de estas programas puede hacer algo a esa prioridad,
entonces estar usando el tiempo sin otro uso.
Si no hay tiempo sin uso, entonces la computadora est 100% ocupado.
Lo mas que este programa puede hacer con el tiempo sin otro uso, lo menos
ocupado que se supone que est el sistema.
:p.El problema con correr mas que uno de estos programas a la vez es que
todos ellos empiezan a competir para el mismo tiempo sin uso.
Si uno trade de correr dos copias del mismo programa, y nada mas, los dos
deben mostrar para 50% uso del sistema.  Si uno corra dos programas no
las mismas, como este programa y el PULSE, entonces los dos sern afectadas,
pero tpicamente a diferentes grados.

:h1 res=60003.Cmo ayuda HRTIMER.SYS?
Cuando est instalado HRTIMER.SYS, el uso normal del CPU por el sistema
operativo ser incluido en el porcentaje de uso del sistema.
:p.
El porcentaje de uso del sistema se determina por comparar cunto trabajo
se puede hacer a la prioridad mnima con el mximo que el programa ha podido
hacer hasta el momento presente.  Sin mas informacin, el uso normal del CPU
por el sistema operativo parecera como un uso de porcentaje cero.
Si est instalado HRTIMER.SYS en el sistema, entonces el programa puede
hacer una calibracin al comenzar, en lo cual se puede determinar cunto
trabajo se podra hacer a la prioridad mxima del sistema.
Esta cantidad entonces se usa para comparacin.

:euserdoc.
